#
# spec file for package opendvdproducer
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           opendvdproducer
Version:        16.02
Release:        1.3
Summary:        Open DVD Producer
License:        SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://opendvdproducer.jonata.org
Source:         https://github.com/jonata/opendvdproducer/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python-base >= 2.7
BuildRequires:  python-setuptools
BuildRequires:  python-pyside
BuildRequires:  ImageMagick
BuildRequires:  update-desktop-files
BuildRequires:  fdupes
Requires:       dvdauthor
Requires:       ffmpeg
Requires:       genisoimage
Requires:       ImageMagick
Requires:       python(abi) = %{py_ver}
Requires:       python-pyside
Requires:       ubuntu-fonts
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Create DVDs with menus and chapters in a simple yet professional way.

The main functions of the DVD specification are implemented in the
software. For example, you can create a DVD in any supported format, with
various menus, with directional buttons, videos with chapters and set
sections of videos to play.

%prep
%setup -q

# Fix incorrect sRGB profile
for f in $(find . -type f -name \*.png); do
convert $f -strip $f
done

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Too many Warnings
rm -rf %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file -c %{name} %{name} "Open DVD Producer" %{name} %{name} AudioVideo Video AudioVideoEditing

%fdupes -s %{buildroot}%{python_sitelib}

%files
%defattr(-,root,root)
%doc README*
%{_bindir}/opendvdproducer
%{python_sitelib}/Open_DVD_Producer*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Feb 25 2016 avvissu@yandex.ru
- Initial release
